Bug 292001 - Kernel mode in rp-pppoe plugin.
Kernel mode in rp-pppoe plugin.
Product: Fedora
Classification: Fedora
Component: rp-pppoe (Show other bugs)
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-15 06:54 EDT by Sergey Skripchuk
Modified: 2008-11-12 01:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-11 10:08:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sergey Skripchuk 2007-09-15 06:54:08 EDT
Description of problem:

It is a error in compiling rp-pppoe with plugin rp-pppoe.so in kernel mode.

In config.log:

configure:5622: checking for Linux 2.4.X kernel-mode PPPoE support
configure:5657: gcc -o conftest -g -O2   conftest.c  >&5
In file included from /usr/include/linux/if_pppox.h:23,
                 from conftest.c:57:
/usr/include/linux/if_pppol2tp.h:31: error: field 'addr' has incomplete type

How reproducible:
in src directory of rp-pppoe sources
./configure --enable-plugin=/usr/src/build/ppp-2.4.4

All sources from RPMS.

I'm sorry for my english.
Comment 1 QVirus 2008-11-11 08:01:32 EST
--- configure.orig      2006-04-02 18:29:42.000000000 +0400
+++ configure   2008-11-11 16:00:08.000000000 +0300
@@ -5646,6 +5646,7 @@
 #include <sys/socket.h>
 #include <net/ethernet.h>
 #include <linux/if.h>
+#include <linux/in.h>
 #include <linux/if_pppox.h>
 int main()
Comment 2 Ngo Than 2008-11-11 10:08:46 EST
it's fixed in 3.10. thanks
Comment 3 QVirus 2008-11-12 01:22:35 EST
Please look https://bugzilla.redhat.com/show_bug.cgi?id=471099

Note You need to log in before you can comment on or make changes to this bug.